Bug 562512 - [abrt] crash in calibre-0.6.37-1.fc12 (utf8 codec can't decode...)
Summary: [abrt] crash in calibre-0.6.37-1.fc12 (utf8 codec can't decode...)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d7bd72f6
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-07 05:03 UTC by Pavel Rosenboim
Modified: 2010-06-21 13:12 UTC (History)
1 user (show)

Fixed In Version: calibre-0.6.55-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-21 13:12:39 UTC


Attachments (Terms of Use)
File: backtrace (1.71 KB, text/plain)
2010-02-07 05:03 UTC, Pavel Rosenboim
no flags Details

Description Pavel Rosenboim 2010-02-07 05:03:13 UTC
abrt 1.0.4 detected a crash.

architecture: i686
cmdline: python /usr/bin/calibre-parallel
component: calibre
executable: /usr/bin/calibre-parallel
kernel: 2.6.31.12-174.2.3.fc12.i686.PAE
package: calibre-0.6.37-1.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TBd7bd72f6 utf_8.py:16:decode:UnicodeDecodeError: 'utf8' codec can't decode bytes in position 85-87: invalid data

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 19, in <module>
    sys.exit(main())
  File "/usr/lib/calibre/calibre/utils/ipc/worker.py", line 98, in main
    result = func(*args, **kwargs)
  File "/usr/lib/calibre/calibre/gui2/convert/gui_conversion.py", line 24, in gui_convert
    plumber.run()
  File "/usr/lib/calibre/calibre/ebooks/conversion/plumber.py", line 754, in run
    self.input_plugin)
  File "/usr/lib/calibre/calibre/ebooks/conversion/plumber.py", line 877, in create_oebbook
    reader()(oeb, path_or_stream)
  File "/usr/lib/calibre/calibre/ebooks/oeb/reader.py", line 72, in __call__
    self._all_from_opf(opf)
  File "/usr/lib/calibre/calibre/ebooks/oeb/reader.py", line 588, in _all_from_opf
    self._manifest_from_opf(opf)
  File "/usr/lib/calibre/calibre/ebooks/oeb/reader.py", line 243, in _manifest_from_opf
    self._manifest_add_missing(invalid)
  File "/usr/lib/calibre/calibre/ebooks/oeb/reader.py", line 204, in _manifest_add_missing
    if not self.oeb.container.exists(href):
  File "/usr/lib/calibre/calibre/ebooks/oeb/base.py", line 432, in exists
    path = os.path.join(self.rootdir, urlunquote(path))
  File "/usr/lib/calibre/calibre/startup.py", line 103, in my_join
    res = res.decode(encoding)
  File "/usr/lib/python2.6/encodings/utf_8.py", line 16, in decode
    return codecs.utf_8_decode(input, errors, True)
UnicodeDecodeError: 'utf8' codec can't decode bytes in position 85-87: invalid data

Local variables in innermost frame:
input: '/sport-football/cache/page/equipe.php?txt_competition=Ligue 2&ref_team=264&txt_team=N\xeemes'
errors: 'strict'

Comment 1 Pavel Rosenboim 2010-02-07 05:03:15 UTC
Created attachment 389341 [details]
File: backtrace

Comment 2 Ionuț Arțăriși 2010-02-07 12:32:35 UTC
Hi, Pavel

I think this should be submitted upstream. 

Could you please explain what you were doing when the crash happened?

Comment 3 Pavel Rosenboim 2010-02-07 13:28:47 UTC
This happened when calibre was retrieving a scheduled feed from Liberation.fr

Comment 4 Fedora Admin XMLRPC Client 2010-05-13 04:25:23 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Kevin Fenzi 2010-05-23 20:50:45 UTC
Greetings.

I have created a test build of the latest calibre version for Fedora 12.

Can you please update from:             
http://koji.fedoraproject.org/koji/taskinfo?taskID=2204259

And see if you can reproduce this bug?

Comment 6 Fedora Update System 2010-05-29 22:15:26 UTC
calibre-0.6.55-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/calibre-0.6.55-1.fc12

Comment 7 Fedora Update System 2010-05-31 18:14:29 UTC
calibre-0.6.55-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update calibre'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/calibre-0.6.55-1.fc12

Comment 8 Fedora Update System 2010-06-21 13:11:04 UTC
calibre-0.6.55-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.